1 # Makefile.in generated by automake 1.11 from Makefile.am.
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
18 # Copyright (C) 1996, 1997, 1998, 1999, 2001, 2002, 2003, 2004, 2005,
19 # 2006, 2007, 2008, 2009, 2010, 2011 Free Software Foundation, Inc.
21 # This program is free software; you can redistribute it and/or modify
22 # it under the terms of the GNU General Public License as published by
23 # the Free Software Foundation; either version 2, or (at your option)
26 # This program is distributed in the hope that it will be useful,
27 # but WITHOUT ANY WARRANTY; without even the implied warranty of
28 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
29 # GNU General Public License for more details.
31 # You should have received a copy of the GNU General Public License
32 # along with this program. If not, see <http://www.gnu.org/licenses/>.
34 pkgdatadir
= $(datadir)/@PACKAGE@
35 pkgincludedir
= $(includedir)/@PACKAGE@
36 pkglibdir
= $(libdir)/@PACKAGE@
37 pkglibexecdir
= $(libexecdir
)/@PACKAGE@
38 am__cd
= CDPATH
="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
39 install_sh_DATA
= $(install_sh
) -c
-m
644
40 install_sh_PROGRAM
= $(install_sh
) -c
41 install_sh_SCRIPT
= $(install_sh
) -c
42 INSTALL_HEADER
= $(INSTALL_DATA
)
43 transform
= $(program_transform_name
)
50 build_triplet
= @build@
51 DIST_COMMON
= README
$(srcdir)/Makefile.am
$(srcdir)/Makefile.in \
52 $(srcdir)/aclocal.in
$(srcdir)/automake.in
$(srcdir)/defs.in \
53 $(srcdir)/parallel-tests.am
55 ACLOCAL_M4
= $(top_srcdir
)/aclocal.m4
56 am__aclocal_m4_deps
= $(top_srcdir
)/m4
/amversion.m4 \
57 $(top_srcdir
)/m4
/auxdir.m4
$(top_srcdir
)/m4
/init.m4 \
58 $(top_srcdir
)/m4
/install-sh.m4
$(top_srcdir
)/m4
/lead-dot.m4 \
59 $(top_srcdir
)/m4
/missing.m4
$(top_srcdir
)/m4
/mkdirp.m4 \
60 $(top_srcdir
)/m4
/options.m4
$(top_srcdir
)/m4
/runlog.m4 \
61 $(top_srcdir
)/m4
/sanity.m4
$(top_srcdir
)/m4
/strip.m4 \
62 $(top_srcdir
)/m4
/substnot.m4
$(top_srcdir
)/m4
/tar.m4 \
63 $(top_srcdir
)/configure.ac
64 am__configure_deps
= $(am__aclocal_m4_deps
) $(CONFIGURE_DEPENDENCIES
) \
66 mkinstalldirs
= $(SHELL
) $(top_srcdir
)/lib
/mkinstalldirs
67 CONFIG_CLEAN_FILES
= defs aclocal-
${APIVERSION} automake-
${APIVERSION}
68 CONFIG_CLEAN_VPATH_FILES
=
71 # If stdout is a non-dumb tty, use colors. If test -t is not supported,
72 # then this fails; a conservative approach. Of course do not redirect
73 # stdout here, just stderr.
75 red
=; grn
=; lgn
=; blu
=; std
=; \
76 test "X$(AM_COLOR_TESTS)" != Xno \
77 && test "X$$TERM" != Xdumb \
78 && { test "X$(AM_COLOR_TESTS)" = Xalways ||
test -t
1 2>/dev
/null
; } \
86 am__vpath_adj_setup
= srcdirstrip
=`echo "$(srcdir)" | sed 's|.|.|g'`;
87 am__vpath_adj
= case
$$p in \
88 $(srcdir)/*) f
=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
91 am__strip_dir
= f
=`echo $$p | sed -e 's|^.*/||'`;
93 am__nobase_strip_setup
= \
94 srcdirstrip
=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
96 for p in
$$list; do echo
"$$p"; done | sed
-e
"s|$$srcdirstrip/||"
97 am__nobase_list
= $(am__nobase_strip_setup
); \
98 for p in
$$list; do echo
"$$p $$p"; done | \
99 sed
"s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
100 $(AWK
) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
101 if (++n[$$2] == $(am__install_max)) \
102 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
103 END { for (dir in files) print dir, files[dir] }'
105 sed
'$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
106 sed
'$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
107 # Restructured Text title and section.
108 am__rst_title
= sed
's/.*/ & /;h;s/./=/g;p;x;p;g;p;s/.*//'
109 am__rst_section
= sed
'p;s/./=/g;p;g'
110 # Put stdin (possibly several lines separated by ". ") in a box.
111 # Prefix each line by 'col' and terminate each with 'std', for coloring.
112 # Multi line coloring is problematic with "less -R", so we really need
113 # to color each line individually.
114 am__text_box
= $(AWK
) '{ \
115 n = split($$0, lines, "\\. "); max = 0; \
116 for (i = 1; i <= n; ++i) \
117 if (max < length(lines[i])) \
118 max = length(lines[i]); \
119 for (i = 0; i < max; ++i) \
121 print col line std; \
122 for (i = 1; i <= n; ++i) \
124 print col lines[i] std; \
125 print col line std; \
127 # Solaris 10 'make', and several other traditional 'make' implementations,
128 # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
129 # by disabling -e (using the XSI extension "set +e") if it's set.
130 am__sh_e_setup
= case
$$- in
*e
*) set
+e
;; esac
131 # To be inserted before the command running the test. Creates the
132 # directory for the log if needed. Stores in $dir the directory
133 # containing $f, in $tst the test, in $log the log, and passes
134 # TESTS_ENVIRONMENT. Save and restore TERM around use of
135 # TESTS_ENVIRONMENT, in case that unsets it.
138 $(am__vpath_adj_setup
) $(am__vpath_adj
) \
139 srcdir=$(srcdir); export srcdir; \
141 am__trap
='rm -f '\''$(abs_builddir)/$@-t'\''; (exit $$st); exit $$st'; \
142 trap
"st=129; $$am__trap" 1; trap
"st=130; $$am__trap" 2; \
143 trap
"st=141; $$am__trap" 13; trap
"st=143; $$am__trap" 15; \
144 am__odir
=`echo "./$@" | sed 's|/[^/]*$$||'`; \
145 test "x$$am__odir" = x. ||
$(MKDIR_P
) "$$am__odir" || exit
$$?
; \
146 if
test -f
"./$$f"; then
dir=.
/; \
147 elif
test -f
"$$f"; then
dir=; \
148 else dir="$(srcdir)/"; fi
; \
149 tst
=$$dir$$f; log
='$@'; __SAVED_TERM
=$$TERM; \
151 # To be appended to the command running the test. Handle the stdout
152 # and stderr redirection, and catch the exit status.
156 if
test -n
'$(DISABLE_HARD_ERRORS)' \
157 && test $$estatus -eq
99; then \
160 TERM
=$$__SAVED_TERM; export TERM
; \
163 case
" $(XFAIL_TESTS) " in \
164 *[\ \
]$$f[\ \
]* |
*[\ \
]$$dir$$f[\ \
]*) \
167 case
$$estatus.
$$xfailed in \
168 0.XFAIL
) col
=$$red; res
=XPASS
;; \
169 0.
*) col
=$$grn; res
=PASS
;; \
170 77.
*) col
=$$blu; res
=SKIP
;; \
171 99.
*) col
=$$red; res
=FAIL
;; \
172 *.XFAIL
) col
=$$lgn; res
=XFAIL
;; \
173 *.
*) col
=$$red; res
=FAIL
;; \
175 echo
"$${col}$$res$${std}: $$f"; \
176 echo
"$$res: $$f (exit: $$estatus)" | \
177 $(am__rst_section
) >$@
; \
180 RECHECK_LOGS
= $(TEST_LOGS
)
181 AM_RECURSIVE_TARGETS
= check check-html recheck recheck-html
182 TEST_SUITE_LOG
= test-suite.log
183 TEST_SUITE_HTML
= $(TEST_SUITE_LOG
:.log
=.html
)
184 TEST_EXTENSIONS
= .
test
185 am__test_logs1
= $(TESTS
:=.log
)
186 TEST_LOGS
= $(am__test_logs1
:.
test.log
=.log
)
187 TEST_LOG_COMPILE
= $(TEST_LOG_COMPILER
) $(AM_TEST_LOG_FLAGS
) \
189 TEST_LOGS_TMP
= $(TEST_LOGS
:.log
=.log-t
)
190 DISTFILES
= $(DIST_COMMON
) $(DIST_SOURCES
) $(TEXINFOS
) $(EXTRA_DIST
)
193 APIVERSION
= @APIVERSION@
194 AUTOCONF
= @AUTOCONF@
195 AUTOHEADER
= @AUTOHEADER@
196 AUTOMAKE
= @AUTOMAKE@
198 CYGPATH_W
= @CYGPATH_W@
206 HELP2MAN
= @HELP2MAN@
208 INSTALL_DATA
= @INSTALL_DATA@
209 INSTALL_PROGRAM
= @INSTALL_PROGRAM@
210 INSTALL_SCRIPT
= @INSTALL_SCRIPT@
211 INSTALL_STRIP_PROGRAM
= @INSTALL_STRIP_PROGRAM@
215 LTLIBOBJS
= @LTLIBOBJS@
216 MAKEINFO
= @MAKEINFO@
218 MODIFICATION_DELAY
= @MODIFICATION_DELAY@
220 PACKAGE_BUGREPORT
= @PACKAGE_BUGREPORT@
221 PACKAGE_NAME
= @PACKAGE_NAME@
222 PACKAGE_STRING
= @PACKAGE_STRING@
223 PACKAGE_TARNAME
= @PACKAGE_TARNAME@
224 PACKAGE_URL
= @PACKAGE_URL@
225 PACKAGE_VERSION
= @PACKAGE_VERSION@
226 PATH_SEPARATOR
= @PATH_SEPARATOR@
228 PERL_THREADS
= @PERL_THREADS@
229 SET_MAKE
= @SET_MAKE@
234 abs_builddir
= @abs_builddir@
235 abs_srcdir
= @abs_srcdir@
236 abs_top_builddir
= @abs_top_builddir@
237 abs_top_srcdir
= @abs_top_srcdir@
238 am_AUTOCONF
= @am_AUTOCONF@
239 am_AUTOHEADER
= @am_AUTOHEADER@
240 am_AUTOM4TE
= @am_AUTOM4TE@
241 am_AUTORECONF
= @am_AUTORECONF@
242 am_AUTOUPDATE
= @am_AUTOUPDATE@
243 am__leading_dot
= @am__leading_dot@
245 am__untar
= @am__untar@
248 build_alias
= @build_alias@
249 build_cpu
= @build_cpu@
250 build_os
= @build_os@
251 build_vendor
= @build_vendor@
252 builddir
= @builddir@
254 datarootdir
= @datarootdir@
257 exec_prefix = @
exec_prefix@
258 host_alias
= @host_alias@
260 includedir = @
includedir@
262 install_sh
= @install_sh@
264 libexecdir
= @libexecdir@
265 localedir
= @localedir@
266 localstatedir
= @localstatedir@
269 oldincludedir = @
oldincludedir@
271 pkgvdatadir
= @pkgvdatadir@
273 program_transform_name
= @program_transform_name@
276 sh_errexit_works
= @sh_errexit_works@
277 sharedstatedir
= @sharedstatedir@
279 sysconfdir
= @sysconfdir@
280 target_alias
= @target_alias@
281 top_build_prefix
= @top_build_prefix@
282 top_builddir
= @top_builddir@
283 top_srcdir
= @top_srcdir@
289 pr8365-remake-timing.
test \
290 yacc-dist-nobuild-subdir.
test \
295 check-concurrency-bug9245-p.
test \
296 check-exported-srcdir-p.
test \
297 check-tests-in-builddir-p.
test \
298 check-tests_environment-p.
test \
318 MAINTAINERCLEANFILES
= $(parallel_tests
)
320 # Some testsuite-influential variables should be overridable from the
321 # test scripts, but not from the environment.
322 TESTS_ENVIRONMENT
= \
323 test x
"$$me" = x || unset me
; \
324 test x
"$$required" = x || unset required
; \
325 test x
"$$parallel_tests" = x || unset parallel_tests
;
328 self-check-env-sanitize.
test \
329 self-check-report.
test \
367 amhello-cflags.
test \
368 amhello-cross-compile.
test \
369 amhello-binpkg.
test \
374 ansi2knr-deprecation.
test \
404 autodist-subdir.
test \
405 autodist-acconfig.
test \
406 autodist-acconfig-no-subdir.
test \
407 autodist-aclocal-m4.
test \
408 autodist-config-headers.
test \
409 autodist-configure-no-subdir.
test \
410 autodist-no-duplicate.
test \
411 autodist-stamp-vti.
test \
451 check-exported-srcdir.
test \
452 check-tests-in-builddir.
test \
453 check-tests_environment.
test \
454 check-concurrency-bug9245.
test \
455 tests-environment-backcompat.
test \
481 comments-in-var-def.
test \
488 compile_f90_c_cxx.
test \
489 compile_f_c_cxx.
test \
605 dist-included-parent-dir.
test \
606 distcleancheck.
test \
617 distcheck-configure-flags.
test \
618 distcheck-configure-flags-am.
test \
619 distcheck-configure-flags-subpkg.
test \
620 distcheck-hook.
test \
621 distcheck-hook2.
test \
623 doc-parsing-buglets-colneq-subst.
test \
624 doc-parsing-buglets-tabs.
test \
687 hdr-vars-defined-once.
test \
698 help-maintainer.
test \
724 instdir-python.
test \
730 instfail-libtool.
test \
736 instmany-python.
test \
744 java-empty-classpath.
test \
754 lex-subobj-nodep.
test \
816 maintclean-vpath.
test \
849 nobase-libtool.
test \
890 parallel-tests.
test \
891 parallel-tests2.
test \
892 parallel-tests3.
test \
893 parallel-tests4.
test \
894 parallel-tests5.
test \
895 parallel-tests6.
test \
896 parallel-tests7.
test \
897 parallel-tests8.
test \
898 parallel-tests9.
test \
899 parallel-tests10.
test \
900 parallel-tests-harderror.
test \
901 parallel-tests-unreadable-log.
test \
902 parallel-tests-subdir.
test \
903 parallel-tests-log-override-1.
test \
904 parallel-tests-log-override-2.
test \
905 parallel-tests-log-override-recheck.
test \
906 parallel-tests-log-compiler-example.
test \
949 primary-prefix-invalid-couples.
test \
950 primary-prefix-valid-couples.
test \
951 primary-prefix-couples-force-valid.
test \
952 primary-prefix-couples-documented-valid.
test \
975 remake-subdir-from-subdir.
test \
976 remake-subdir-gnu.
test \
978 remake-subdir2.
test \
979 remake-subdir-long-time.
test \
980 pr8365-remake-timing.
test \
999 silent-many-gcc.
test \
1000 silent-many-generic.
test \
1001 silent-lex-gcc.
test \
1002 silent-lex-generic.
test \
1003 silent-yacc-gcc.
test \
1004 silent-yacc-generic.
test \
1005 silent-configsite.
test \
1017 specflg-dummy.
test \
1040 subdirbuiltsources.
test \
1090 target-cflags.
test \
1168 yacc-dist-nobuild-subdir.
test \
1173 EXTRA_DIST
= ChangeLog-old gen-parallel-tests
$(TESTS
)
1175 # Each test case depends on defs, aclocal, and automake.
1176 check_SCRIPTS
= defs aclocal-
$(APIVERSION
) automake-
$(APIVERSION
)
1180 .SUFFIXES
: .html .log .
test
1181 $(srcdir)/Makefile.in
: $(srcdir)/Makefile.am
$(srcdir)/parallel-tests.am
$(am__configure_deps
)
1182 @for dep in
$?
; do \
1183 case
'$(am__configure_deps)' in \
1185 ( cd
$(top_builddir
) && $(MAKE
) $(AM_MAKEFLAGS
) am--refresh
) \
1186 && { if
test -f
$@
; then exit
0; else break
; fi
; }; \
1190 echo
' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
1191 $(am__cd
) $(top_srcdir
) && \
1192 $(AUTOMAKE
) --gnu tests
/Makefile
1194 Makefile
: $(srcdir)/Makefile.in
$(top_builddir
)/config.status
1197 cd
$(top_builddir
) && $(MAKE
) $(AM_MAKEFLAGS
) am--refresh
;; \
1199 echo
' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
1200 cd
$(top_builddir
) && $(SHELL
) .
/config.status
$(subdir
)/$@
$(am__depfiles_maybe
);; \
1203 $(top_builddir
)/config.status
: $(top_srcdir
)/configure
$(CONFIG_STATUS_DEPENDENCIES
)
1204 cd
$(top_builddir
) && $(MAKE
) $(AM_MAKEFLAGS
) am--refresh
1206 $(top_srcdir
)/configure
: $(am__configure_deps
)
1207 cd
$(top_builddir
) && $(MAKE
) $(AM_MAKEFLAGS
) am--refresh
1208 $(ACLOCAL_M4
): $(am__aclocal_m4_deps
)
1209 cd
$(top_builddir
) && $(MAKE
) $(AM_MAKEFLAGS
) am--refresh
1210 $(am__aclocal_m4_deps
):
1211 defs
: $(top_builddir
)/config.status
$(srcdir)/defs.in
1212 cd
$(top_builddir
) && $(SHELL
) .
/config.status
$(subdir
)/$@
1213 aclocal-
${APIVERSION}: $(top_builddir
)/config.status
$(srcdir)/aclocal.in
1214 cd
$(top_builddir
) && $(SHELL
) .
/config.status
$(subdir
)/$@
1215 automake-
${APIVERSION}: $(top_builddir
)/config.status
$(srcdir)/automake.in
1216 cd
$(top_builddir
) && $(SHELL
) .
/config.status
$(subdir
)/$@
1224 $(TEST_SUITE_LOG
): $(TEST_LOGS
)
1225 @
$(am__sh_e_setup
); \
1226 list
='$(TEST_LOGS)'; \
1227 results
=`for f in $$list; do \
1228 test -r $$f && read line < $$f && echo "$$line" \
1231 all=`echo "$$results" | sed '/^$$/d' | wc -l | sed -e 's/^[ ]*//'`; \
1232 fail
=`echo "$$results" | grep -c '^FAIL'`; \
1233 pass
=`echo "$$results" | grep -c '^PASS'`; \
1234 skip
=`echo "$$results" | grep -c '^SKIP'`; \
1235 xfail
=`echo "$$results" | grep -c '^XFAIL'`; \
1236 xpass
=`echo "$$results" | grep -c '^XPASS'`; \
1237 failures
=`expr $$fail + $$xpass`; \
1238 all=`expr $$all - $$skip`; \
1239 if
test "$$all" -eq
1; then tests
=test; All
=; \
1240 else tests
=tests
; All
="All "; fi
; \
1241 case fail
=$$fail:xpass
=$$xpass:xfail
=$$xfail in \
1242 fail
=0:xpass
=0:xfail
=0) \
1243 msg
="$$All$$all $$tests passed. "; \
1245 fail
=0:xpass
=0:xfail
=*) \
1246 msg
="$$All$$all $$tests behaved as expected"; \
1247 if
test "$$xfail" -eq
1; then xfailures
=failure
; \
1248 else xfailures
=failures
; fi
; \
1249 msg
="$$msg ($$xfail expected $$xfailures). "; \
1251 fail
=*:xpass
=0:xfail
=*) \
1252 msg
="$$fail of $$all $$tests failed. "; \
1254 fail
=*:xpass
=*:xfail
=*) \
1255 msg
="$$failures of $$all $$tests did not behave as expected"; \
1256 if
test "$$xpass" -eq
1; then xpasses
=pass
; \
1257 else xpasses
=passes
; fi
; \
1258 msg
="$$msg ($$xpass unexpected $$xpasses). "; \
1261 echo
>&2 "incorrect case"; exit
4;; \
1263 if
test "$$skip" -ne
0; then \
1264 if
test "$$skip" -eq
1; then \
1265 msg
="$$msg($$skip test was not run). "; \
1267 msg
="$$msg($$skip tests were not run). "; \
1271 echo
"$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
1275 echo
".. contents:: :depth: 2"; \
1277 for f in
$$list; do \
1278 test -r
$$f && read line
< $$f || line
=; \
1281 *) echo
; cat
$$f;; \
1284 } >$(TEST_SUITE_LOG
).tmp
; \
1285 mv
$(TEST_SUITE_LOG
).tmp
$(TEST_SUITE_LOG
); \
1286 if
test "$$failures" -ne
0; then \
1287 msg
="$${msg}See $(subdir)/$(TEST_SUITE_LOG). "; \
1288 if
test -n
"$(PACKAGE_BUGREPORT)"; then \
1289 msg
="$${msg}Please report to $(PACKAGE_BUGREPORT). "; \
1292 test x
"$$VERBOSE" = x ||
$$exit || cat
$(TEST_SUITE_LOG
); \
1293 $(am__tty_colors
); \
1299 echo
"$$msg" |
$(am__text_box
) "col=$$col" "std=$$std"; \
1302 # Run all the tests.
1304 @list
='$(RECHECK_LOGS)'; test -z
"$$list" ||
rm -f
$$list
1305 @
test -z
"$(TEST_SUITE_LOG)" ||
rm -f
$(TEST_SUITE_LOG
)
1306 @list
='$(TEST_LOGS)'; \
1307 list
=`for f in $$list; do \
1308 test .log = $$f || echo $$f; \
1309 done | tr '\012\015' ' '`; \
1310 $(MAKE
) $(AM_MAKEFLAGS
) $(TEST_SUITE_LOG
) TEST_LOGS
="$$list"
1313 @list
='$(RST2HTML) $$RST2HTML rst2html rst2html.py'; \
1314 for r2h in
$$list; do \
1315 if
($$r2h --version
) >/dev
/null
2>&1; then \
1319 if
test -z
"$$R2H"; then \
1320 echo
>&2 "cannot find rst2html, cannot create $@"; \
1326 # Be sure to run check first, and then to convert the result.
1327 # Beware of concurrent executions. Run "check" not "check-TESTS", as
1328 # check-SCRIPTS and other dependencies are rebuilt by the former only.
1329 # And expect check to fail.
1331 @if
$(MAKE
) $(AM_MAKEFLAGS
) check; then \
1332 rv
=0; else rv
=$$?
; \
1334 $(MAKE
) $(AM_MAKEFLAGS
) $(TEST_SUITE_HTML
) || exit
4; \
1336 recheck recheck-html
:
1337 @target
=`echo $@ | sed 's,^re,,'`; \
1338 list
='$(TEST_LOGS)'; \
1339 list
=`for f in $$list; do \
1340 test -f $$f || continue; \
1341 if test -r $$f && read line < $$f; then \
1342 case $$line in FAIL*|XPASS*) echo $$f;; esac; \
1343 else echo $$f; fi; \
1344 done | tr '\012\015' ' '`; \
1345 list
=`echo "$$list" | sed 's/ *$$//'`; \
1346 $(MAKE
) $(AM_MAKEFLAGS
) $$target AM_MAKEFLAGS
='$(AM_MAKEFLAGS) TEST_LOGS="'"$$list"'"'
1348 @p
='$<'; $(am__check_pre
) $(TEST_LOG_COMPILE
) "$$tst" $(am__check_post
)
1350 distdir
: $(DISTFILES
)
1351 @srcdirstrip
=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1352 topsrcdirstrip
=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1353 list
='$(DISTFILES)'; \
1354 dist_files
=`for file in $$list; do echo $$file; done | \
1355 sed -e "s|^$$srcdirstrip/||;t" \
1356 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1357 case
$$dist_files in \
1358 */*) $(MKDIR_P
) `echo "$$dist_files" | \
1359 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1362 for file in
$$dist_files; do \
1363 if
test -f
$$file ||
test -d
$$file; then d
=.
; else d
=$(srcdir); fi
; \
1364 if
test -d
$$d/$$file; then \
1365 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1366 if
test -d
"$(distdir)/$$file"; then \
1367 find
"$(distdir)/$$file" -type d
! -perm
-700 -exec chmod u
+rwx
{} \
;; \
1369 if
test -d
$(srcdir)/$$file && test $$d != $(srcdir); then \
1370 cp
-fpR
$(srcdir)/$$file "$(distdir)$$dir" || exit
1; \
1371 find
"$(distdir)/$$file" -type d
! -perm
-700 -exec chmod u
+rwx
{} \
;; \
1373 cp
-fpR
$$d/$$file "$(distdir)$$dir" || exit
1; \
1375 test -f
"$(distdir)/$$file" \
1376 || cp
-p
$$d/$$file "$(distdir)/$$file" \
1381 $(MAKE
) $(AM_MAKEFLAGS
) $(check_SCRIPTS
)
1382 $(MAKE
) $(AM_MAKEFLAGS
) check-TESTS
1387 install-exec
: install-exec-am
1388 install-data
: install-data-am
1389 uninstall: uninstall-am
1392 @
$(MAKE
) $(AM_MAKEFLAGS
) install-exec-am install-data-am
1394 installcheck: installcheck-am
1396 if
test -z
'$(STRIP)'; then \
1397 $(MAKE
) $(AM_MAKEFLAGS
) INSTALL_PROGRAM
="$(INSTALL_STRIP_PROGRAM)" \
1398 install_sh_PROGRAM
="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG
=-s \
1401 $(MAKE
) $(AM_MAKEFLAGS
) INSTALL_PROGRAM
="$(INSTALL_STRIP_PROGRAM)" \
1402 install_sh_PROGRAM
="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG
=-s \
1403 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1405 mostlyclean-generic
:
1406 -test -z
"$(TEST_LOGS)" ||
rm -f
$(TEST_LOGS
)
1407 -test -z
"$(TEST_LOGS_TMP)" ||
rm -f
$(TEST_LOGS_TMP
)
1408 -test -z
"$(TEST_SUITE_HTML)" ||
rm -f
$(TEST_SUITE_HTML
)
1409 -test -z
"$(TEST_SUITE_LOG)" ||
rm -f
$(TEST_SUITE_LOG
)
1414 -test -z
"$(CONFIG_CLEAN_FILES)" ||
rm -f
$(CONFIG_CLEAN_FILES
)
1415 -test .
= "$(srcdir)" ||
test -z
"$(CONFIG_CLEAN_VPATH_FILES)" ||
rm -f
$(CONFIG_CLEAN_VPATH_FILES
)
1417 maintainer-clean-generic
:
1418 @echo
"This command is intended for maintainers to use"
1419 @echo
"it deletes files that may require special tools to rebuild."
1420 -test -z
"$(MAINTAINERCLEANFILES)" ||
rm -f
$(MAINTAINERCLEANFILES
)
1423 clean-am
: clean-generic clean-local mostlyclean-am
1425 distclean: distclean-am
1427 distclean-am
: clean-am distclean-generic
1443 install-dvi
: install-dvi-am
1449 install-html
: install-html-am
1453 install-info
: install-info-am
1459 install-pdf
: install-pdf-am
1463 install-ps
: install-ps-am
1469 maintainer-clean
: maintainer-clean-am
1471 maintainer-clean-am
: distclean-am maintainer-clean-generic
1473 mostlyclean: mostlyclean-am
1475 mostlyclean-am
: mostlyclean-generic
1487 .MAKE
: check-am check-html install-am install-strip recheck \
1490 .PHONY
: all all-am
check check-TESTS check-am check-html
clean \
1491 clean-generic clean-local
distclean distclean-generic distdir \
1492 dvi dvi-am html html-am
info info-am
install install-am \
1493 install-data install-data-am install-dvi install-dvi-am \
1494 install-exec install-exec-am install-html install-html-am \
1495 install-info install-info-am install-man install-pdf \
1496 install-pdf-am install-ps install-ps-am install-strip \
1497 installcheck installcheck-am
installdirs maintainer-clean \
1498 maintainer-clean-generic
mostlyclean mostlyclean-generic pdf \
1499 pdf-am ps ps-am recheck recheck-html
uninstall uninstall-am
1502 $(srcdir)/parallel-tests.am
: gen-parallel-tests Makefile.am
1503 (cd
$(srcdir) && $(SHELL
) .
/gen-parallel-tests
) >$@
1505 $(parallel_tests
): $(parallel_tests
:-p.
test=.
test) Makefile.am
1506 input
=`echo $@ | sed 's,.*/,,; s,-p.test$$,.test,'`; \
1507 sed
's|^\. \./defs.*|parallel_tests=yes; &|' \
1508 < $(srcdir)/$$input >$@
1511 clean-local
: clean-local-check
1512 .PHONY
: clean-local-check
1514 -set x
*.
dir; shift
; \
1515 if
test "$$#,$$1" = "1,*.dir"; then \
1516 : there is no
test directory to
clean; \
1518 find
"$$@" -type d
! -perm
-700 -exec chmod u
+rwx
{} ';'; \
1522 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1523 # Otherwise a system limit (for SysV at least) may be exceeded.